# This file is part of k4ever, a point-of-sale system
#   Contact............  <k4ever@lists.someserver.de>
#   Website............  http://k4ever.someserver.de/
#   Bug tracker........  http://k4ever.someserver.de/report
#
# Licensed under GNU Affero General Public License v3 or later

from django.conf.urls.defaults import *
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
	# Example:
	# (r'^k4ever/', include('k4ever.foo.urls')),
	
	# Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
	# to INSTALLED_APPS to enable admin documentation:
	# (r'^admin/doc/', include('django.contrib.admindocs.urls')),
	# user stuff? go to main
	(r'^$', 'main.views.startpage'),
	(r'^api2/', include('api2.urls')),
	(r'^user/', include('main.urls')),
	(r'^transaction/', include('transaction.urls')),
	(r'^store/', include('buyable.urls')),
	(r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': 'media'}),
	(r'^docs/(?P<path>.*)$', 'django.views.static.serve', {'document_root': 'docs'}),

	
	# Uncomment the next line to enable the admin:
	(r'^admin/', include(admin.site.urls)),
)
